This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 873438 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/pcie/trans.c:1277 iwl_trans_pcie_tx+0x397/0x4f0 [iwlwifi](): TAINTED GF W
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/pcie/trans.c:1277 iwl_trans_...
Status: CLOSED DUPLICATE of bug 868063
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:60c6fd6b2046c65db2d4e086f2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 16:12 EST by Mikhail
Modified: 2013-01-07 03:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 03:23:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
messages (897.61 KB, text/plain)
2012-11-05 16:58 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-11-05 16:12:16 EST
Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.5-2.fc18.i686 root=UUID=50fedade-7d80-4b84-92d3-dab106cb62af ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=en_US.UTF-8 KEYTABLE=us
kernel:         3.6.5-2.fc18.i686

kernel_tainted_long:
:Proprietary module has not been loaded.
:Module has been forcibly loaded.
:Taint on warning.
Comment 1 Josh Boyer 2012-11-05 16:33:55 EST
Can you attach the dmesg or /var/log/messages from this machine as a text/plain attachment?  Stanislaw is going to want to see the backtrace and I'm curious why you have the F taint flag set on this oops.  It probably shouldn't be.
Comment 2 Mikhail 2012-11-05 16:58:05 EST
Created attachment 638917 [details]
messages
Comment 3 Josh Boyer 2012-11-05 17:30:21 EST
Nov  6 03:05:52 localhost kernel: [ 1199.890088] iwlwifi 0000:01:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
Nov  6 03:05:52 localhost kernel: [ 1199.890101] iwlwifi 0000:01:00.0: Current CMD queue read_ptr 60 write_ptr 63
Nov  6 03:05:52 localhost kernel: [ 1199.890109] wlan0: HW problem - can not stop rx aggregation for tid 0
Nov  6 03:05:52 localhost kernel: [ 1199.891048] ------------[ cut here ]------------
Nov  6 03:05:52 localhost kernel: [ 1199.891048] WARNING: at drivers/net/wireless/iwlwifi/iwl-io.c:150 iwl_grab_nic_access+0x5e/0x70 [iwlwifi]()
Nov  6 03:05:52 localhost kernel: [ 1199.891048] Hardware name: 900
Nov  6 03:05:52 localhost kernel: [ 1199.891048] Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Nov  6 03:05:52 localhost kernel: [ 1199.891048] Modules linked in: tcp_lp fuse ebtable_nat ebtables nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables lockd bnep bluetooth iptable_nat nf_nat iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i cnic uio nf_conntrack_ipv4 nf_defrag_ipv4 cxgb4i xt_conntrack cxgb4 nf_conntrack cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_intel iTCO_wdt snd_hda_codec arc4 iwldvm iTCO_vendor_support mac80211 snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev i2400m_usb media i2400m snd_page_alloc wimax microcode joydev lpc_ich iwlwifi i2c_i801 snd_timer snd cfg80211 soundcore eeepc_laptop sparse_keymap rfkill uinput i915(F) usb_storage(F) i2c_algo_bit(F) drm_kms_helper(F) drm(F) atl2(F) i2c_core(F) video(F) sunrpc(F)
Nov  6 03:05:52 localhost kernel: [ 1199.891048] Pid: 20, comm: kworker/0:1 Tainted: GF            3.6.5-2.fc18.i686 #1
Nov  6 03:05:52 localhost kernel: [ 1199.891048] Call Trace:
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c043c602>] warn_slowpath_common+0x72/0xa0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d552ae>] ? iwl_grab_nic_access+0x5e/0x70 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d552ae>] ? iwl_grab_nic_access+0x5e/0x70 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c043c6d3>] warn_slowpath_fmt+0x33/0x40
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d552ae>] iwl_grab_nic_access+0x5e/0x70 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d554bc>] iwl_read_prph+0x2c/0x70 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d5d674>] iwl_trans_pcie_tx+0x64/0x4f0 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f814d875>] ? rs_get_rate+0x85/0x210 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8154818>] ? iwlagn_tx_skb+0x108/0xce0 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8154cc5>] iwlagn_tx_skb+0x5b5/0xce0 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f815272e>] iwlagn_mac_tx+0x7e/0xc0 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f805c4ec>] __ieee80211_tx+0xec/0x2d0 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f805e42d>] ieee80211_tx+0xbd/0xf0 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f805e4fa>] ieee80211_xmit+0x9a/0xf0 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f805f541>] ieee80211_tx_skb_tid+0x51/0x60 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804a61c>] ieee80211_send_delba+0x13c/0x1c0 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8151a10>] ? iwlagn_mac_flush+0x1e0/0x1e0 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804bf29>] ___ieee80211_stop_rx_ba_session+0x1b9/0x230 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804b378>] ? ___ieee80211_stop_tx_ba_session+0x208/0x250 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804bff3>] __ieee80211_stop_rx_ba_session+0x53/0x70 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804a372>] ieee80211_sta_tear_down_BA_sessions+0x52/0x60 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8076510>] ieee80211_set_disassoc+0xd0/0x500 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f807a48f>] ieee80211_mgd_deauth+0x16f/0x180 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8053330>] ? ieee80211_disassoc+0x20/0x20 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8053346>] ieee80211_deauth+0x16/0x20 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d25890>] cfg80211_mlme_down+0x70/0xc0 [cfg80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d287a1>] __cfg80211_disconnect+0x1b1/0x1d0 [cfg80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c046462f>] ? __wake_up_locked+0x1f/0x30
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d0f950>] cfg80211_netdev_notifier_call+0x4d0/0x5a0 [cfg80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c085cf65>] ? skb_free_head+0x45/0x50
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c087f400>] ? fib_rules_event+0x20/0x170
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c095d683>] notifier_call_chain+0x43/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0461eee>] __raw_notifier_call_chain+0x1e/0x30
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0461f1f>] raw_notifier_call_chain+0x1f/0x30
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0866b7c>] call_netdevice_notifiers+0x2c/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0866be4>] __dev_close_many+0x34/0xb0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c066b5b0>] ? kobject_cleanup+0x90/0x1b0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0867f94>] dev_close_many+0x74/0xd0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0868087>] rollback_registered_many+0x97/0x1d0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0868275>] unregister_netdevice_many+0x15/0x50
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f8051104>] ieee80211_remove_interfaces+0x84/0xc0 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0958760>] ? down_write+0x10/0x30
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f804111b>] ieee80211_unregister_hw+0x4b/0x100 [mac80211]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f816275a>] ? iwl_leds_exit+0x2a/0x30 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f81538f4>] iwlagn_mac_unregister+0x24/0x30 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f814ac5c>] iwl_op_mode_dvm_stop+0x4c/0xf0 [iwldvm]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d56dad>] iwl_drv_stop+0x2d/0x80 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7d5fe8e>] iwl_pci_remove+0x1c/0x30 [iwlwifi]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c06960fd>] pci_device_remove+0x2d/0xe0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c07374af>] __device_release_driver+0x5f/0xb0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0737774>] device_release_driver+0x24/0x40
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0736ff6>] bus_remove_device+0xb6/0x110
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c07341ba>] ? device_remove_attrs+0x2a/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0734a35>] device_del+0xe5/0x160
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0734ad1>] device_unregister+0x21/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c069819b>] ? pci_remove_sysfs_dev_files+0xcb/0x110
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0690026>] pci_stop_bus_device+0x76/0x80
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0690180>] pci_stop_and_remove_bus_device+0x10/0x20
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7cec418>] eeepc_rfkill_hotplug+0xa8/0x180 [eeepc_laptop]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<f7cec539>] eeepc_rfkill_notify+0x19/0x20 [eeepc_laptop]
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c06d3afb>] acpi_ev_notify_dispatch+0x33/0x4a
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c06c595c>] acpi_os_execute_deferred+0x20/0x2b
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c04559a0>] process_one_work+0x120/0x3e0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c046d594>] ? wake_up_process+0x14/0x20
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c0454810>] ? need_to_create_worker+0x10/0x30
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c06c593c>] ? acpi_os_wait_events_complete+0x1e/0x1e
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c04572f1>] worker_thread+0x111/0x3b0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c046773e>] ? complete+0x4e/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c04571e0>] ? manage_workers+0x2a0/0x2a0
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c045bcd2>] kthread+0x72/0x80
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c045bc60>] ? kthread_freezable_should_stop+0x60/0x60
Nov  6 03:05:52 localhost kernel: [ 1199.891048]  [<c096127e>] kernel_thread_helper+0x6/0x10
Nov  6 03:05:52 localhost kernel: [ 1199.891048] ---[ end trace ddfadc9ce4420d2c ]---
Comment 4 Josh Boyer 2012-11-05 18:04:46 EST
Curious.  Nothing overtly indicating forced modules, but I'll look at that separately.

This bug will be used to track the iwlwifi issue.
Comment 5 Stanislaw Gruszka 2012-11-06 03:50:55 EST
There are some microcode errors, which seems not be related with bug 868063 ..
Comment 6 Emmanuel Grumbach 2012-11-06 05:36:18 EST
Please tell me what NIC you use: lspci -vv
How easily can you reproduce this issue?
Comment 7 Mikhail 2012-11-08 13:50:00 EST
$ lspci -vv
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device 82d9
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 82d9
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7f00000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at ec00 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f7ec0000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device 82d9
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f7f80000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device 8337
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at f7eb8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: 3f900000-3fafffff
	Prefetchable memory behind bridge: 000000003fb00000-000000003fcfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: fbf00000-fbffffff
	Prefetchable memory behind bridge: 000000003fd00000-000000003fefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3 (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=01, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f8000000-fbefffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f6ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at e400 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at e480 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at e800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at e880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 04) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7eb7c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel driver in use: lpc_ich

00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 04) (prog-if 80 [Master])
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device 82d8
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 0400 [size=32]

01:00.0 Network controller: Intel Corporation WiMAX/WiFi Link 5150
	Subsystem: Intel Corporation WiMAX/WiFi Link 5150 AGN
	Physical Slot: eeepc-wifi
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at fbefe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi

03:00.0 Ethernet controller: Atheros Communications Inc. L2 Fast Ethernet (rev a0)
	Subsystem: ASUSTeK Computer Inc. Device 8233
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at fbfc0000 (64-bit, non-prefetchable) [size=256K]
	Expansion ROM at fbfa0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: atl2
Comment 8 Mikhail 2012-11-08 14:22:31 EST
Issue seems occurs together with https://bugzilla.redhat.com/show_bug.cgi?id=868063 issue.
Comment 9 Emmanuel Grumbach 2012-11-08 17:59:59 EST
So I finally think I got a clue...
Does this happen when you have a lot of traffic?
I can see that you have an eeePC. I guess it runs Atom.

What I am guess here, is that the Rx handler isn't fast enough to handle the Rx buffers, and the HW complains that there are no descriptors left.
This is what

Nov  5 20:40:55 localhost kernel: [  764.973959] iwlwifi 0000:01:00.0: 0x0000000C | FH_ERROR

hints. I am quoting the logs so that you will know how do decide if another issue is the same bug or not.

I am still not sure about all this and will probably need more data, therefore I am asking again: is it easily reproducible?
Comment 10 Mikhail 2012-11-08 20:54:48 EST
Ok you are right, I having this issue in two cases.
1. When I switch off internal WiFi/WiMAX card
2. When I do "yum undate"

Yes, this is eeePC 900, it is early model and contain Celeron processor.
Comment 11 Emmanuel Grumbach 2012-11-11 02:12:10 EST
Mikhail, please *always* provide logs when you report.
When you are saying that you are "having this issue" it is not precise enough.
*that issue* doesn't tell me anything. At least tell me you saw the FH_ERROR line so that I can be sure. But in that case I will ask you the whole log since we print registers that can hold valuable data.

Also I really don't understand how "switch off internal WiFi/WiMAX card" can be related to the scenario I described (the driver not being fast enough to feed the HW with fresh Rx buffers).

I am really trying to help but can't really unless you provide good inputs which means:

a scenario and a log. always. Also please consider that 2 logs look alike and then no need to send them. If the logs are really the same, I will make the decision that one of them is redundant by myself.

Thanks
Comment 12 Stanislaw Gruszka 2013-01-07 03:23:17 EST
I'm closing this as duplicate of 868063, since this problem is fallow up this issue.

*** This bug has been marked as a duplicate of bug 868063 ***

Note You need to log in before you can comment on or make changes to this bug.